From 3e824c34980255e022a2085159a6e36daa986667 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Tue, 29 Nov 2022 18:00:48 +1100
Subject: [PATCH v8] Add "Statistics Views" section and refentry for each view.

---
 doc/src/sgml/monitoring.sgml | 257 ++++++++++++++++++++++++++++++++-----------
 1 file changed, 194 insertions(+), 63 deletions(-)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index f7d0c2f..58cd655 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -290,6 +290,11 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
    linkend="predefined-roles"/>) can see all the information about all sessions.
   </para>
 
+ </sect2>
+
+ <sect2 id="monitoring-stats-views-all">
+  <title>Statistics Views</title>
+
   <table id="monitoring-stats-dynamic-views-table">
    <title>Dynamic Statistics Views</title>
 
@@ -746,10 +751,14 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
    into the kernel's handling of I/O.
   </para>
 
- </sect2>
+ <refentry id="monitoring-pg-stat-activity-view">
+  <refnamediv>
+   <refname><structname>pg_stat_activity</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-stat-activity-view">
-  <title><structname>pg_stat_activity</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_activity</primary>
@@ -2391,10 +2400,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
 </programlisting>
    </para>
 
- </sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-stat-replication-view">
+  <refnamediv>
+   <refname><structname>pg_stat_replication</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-stat-replication-view">
-  <title><structname>pg_stat_replication</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_replication</primary>
@@ -2728,10 +2743,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </para>
   </note>
 
- </sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-stat-replication-slots-view">
+  <refnamediv>
+   <refname><structname>pg_stat_replication_slots</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-stat-replication-slots-view">
-  <title><structname>pg_stat_replication_slots</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_replication_slots</primary>
@@ -2877,10 +2898,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
 
- <sect2 id="monitoring-pg-stat-wal-receiver-view">
-  <title><structname>pg_stat_wal_receiver</structname></title>
+ <refentry id="monitoring-pg-stat-wal-receiver-view">
+  <refnamediv>
+   <refname><structname>pg_stat_wal_receiver</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
+
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_wal_receiver</primary>
@@ -3057,10 +3084,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
 
- <sect2 id="monitoring-pg-stat-recovery-prefetch">
-  <title><structname>pg_stat_recovery_prefetch</structname></title>
+ <refentry id="monitoring-pg-stat-recovery-prefetch">
+  <refnamediv>
+   <refname><structname>pg_stat_recovery_prefetch</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
+
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_recovery_prefetch</primary>
@@ -3203,10 +3236,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-stat-subscription">
+  <refnamediv>
+   <refname><structname>pg_stat_subscription</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-stat-subscription">
-  <title><structname>pg_stat_subscription</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_subscription</primary>
@@ -3314,10 +3353,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-stat-subscription-stats">
+  <refnamediv>
+   <refname><structname>pg_stat_subscription_stats</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-stat-subscription-stats">
-  <title><structname>pg_stat_subscription_stats</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_subscription_stats</primary>
@@ -3392,10 +3437,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
 
- <sect2 id="monitoring-pg-stat-ssl-view">
-  <title><structname>pg_stat_ssl</structname></title>
+ <refentry id="monitoring-pg-stat-ssl-view">
+  <refnamediv>
+   <refname><structname>pg_stat_ssl</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
+
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_ssl</primary>
@@ -3513,10 +3564,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-stat-gssapi-view">
+  <refnamediv>
+   <refname><structname>pg_stat_gssapi</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-stat-gssapi-view">
-  <title><structname>pg_stat_gssapi</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_gssapi</primary>
@@ -3588,10 +3645,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-stat-archiver-view">
+  <refnamediv>
+   <refname><structname>pg_stat_archiver</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-stat-archiver-view">
-  <title><structname>pg_stat_archiver</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_archiver</primary>
@@ -3692,10 +3755,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
     archived.
   </para>
 
- </sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-stat-bgwriter-view">
+  <refnamediv>
+   <refname><structname>pg_stat_bgwriter</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-stat-bgwriter-view">
-  <title><structname>pg_stat_bgwriter</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_bgwriter</primary>
@@ -3829,10 +3898,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
 
- <sect2 id="monitoring-pg-stat-wal-view">
-   <title><structname>pg_stat_wal</structname></title>
+ <refentry id="monitoring-pg-stat-wal-view">
+  <refnamediv>
+   <refname><structname>pg_stat_wal</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
+
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_wal</primary>
@@ -3963,10 +4038,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
-</sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-stat-database-view">
+  <refnamediv>
+   <refname><structname>pg_stat_database</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-stat-database-view">
-  <title><structname>pg_stat_database</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_database</primary>
@@ -4288,10 +4369,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
 
- <sect2 id="monitoring-pg-stat-database-conflicts-view">
-  <title><structname>pg_stat_database_conflicts</structname></title>
+ <refentry id="monitoring-pg-stat-database-conflicts-view">
+  <refnamediv>
+   <refname><structname>pg_stat_database_conflicts</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
+
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_database_conflicts</primary>
@@ -4391,10 +4478,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-stat-all-tables-view">
+  <refnamediv>
+   <refname><structname>pg_stat_all_tables</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-stat-all-tables-view">
-  <title><structname>pg_stat_all_tables</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_all_tables</primary>
@@ -4662,10 +4755,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-stat-all-indexes-view">
+  <refnamediv>
+   <refname><structname>pg_stat_all_indexes</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-stat-all-indexes-view">
-  <title><structname>pg_stat_all_indexes</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_all_indexes</primary>
@@ -4811,10 +4910,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </para>
   </note>
 
- </sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-statio-all-tables-view">
+  <refnamediv>
+   <refname><structname>pg_statio_all_tables</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-statio-all-tables-view">
-  <title><structname>pg_statio_all_tables</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_statio_all_tables</primary>
@@ -4947,10 +5052,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
 
- <sect2 id="monitoring-pg-statio-all-indexes-view">
-  <title><structname>pg_statio_all_indexes</structname></title>
+ <refentry id="monitoring-pg-statio-all-indexes-view">
+  <refnamediv>
+   <refname><structname>pg_statio_all_indexes</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
+
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_statio_all_indexes</primary>
@@ -5047,10 +5158,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-statio-all-sequences-view">
+  <refnamediv>
+   <refname><structname>pg_statio_all_sequences</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-statio-all-sequences-view">
-  <title><structname>pg_statio_all_sequences</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_statio_all_sequences</primary>
@@ -5125,10 +5242,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
+
+ <refentry id="monitoring-pg-stat-user-functions-view">
+  <refnamediv>
+   <refname><structname>pg_stat_user_functions</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
 
- <sect2 id="monitoring-pg-stat-user-functions-view">
-  <title><structname>pg_stat_user_functions</structname></title>
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>pg_stat_user_functions</primary>
@@ -5215,10 +5338,16 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </refsect1></refentry>
 
- <sect2 id="monitoring-pg-stat-slru-view">
-  <title><structname>pg_stat_slru</structname></title>
+ <refentry id="monitoring-pg-stat-slru-view">
+  <refnamediv>
+   <refname><structname>pg_stat_slru</structname></refname>
+   <refpurpose>View</refpurpose>
+  </refnamediv>
+
+  <refsect1>
+  <title>Description</title>
 
   <indexterm>
    <primary>SLRU</primary>
@@ -5337,6 +5466,8 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
+ </refsect1></refentry>
+
  </sect2>
 
  <sect2 id="monitoring-stats-functions">
-- 
1.8.3.1

